Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class FileDocumentProvider.FileInfo

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageDocumentProvider.StorageInfo
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.FileDocumentProvider.FileInfo

All Implemented Interfaces:
  IDocumentListener

Direct Known Subclasses:
  FileDiagramDocumentProvider.DiagramFileInfo

Enclosing class:
  FileDocumentProvider

protected class FileDocumentProvider.FileInfo
extends StorageDocumentProvider.StorageInfo

Bundle of all required information to allow files as underlying document resources.

Field Summary
`FileDocumentProvider.FileSynchronizer` `fFileSynchronizer` The file synchronizer.
`long` `fModificationStamp` The time stamp at which this provider changed the file.

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageDocumentProvider.StorageInfo
`fIsModifiable, fIsReadOnly, fUpdateCache`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
`fCanBeSaved, fCount, fDocument, fElement, fIsStateValidated, fStatus`

Constructor Summary
`FileDocumentProvider.FileInfo(IDocument document, FileDocumentProvider.FileSynchronizer fileSynchronizer)` Creates and returns a new file info.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
`documentAboutToBeChanged, documentChanged, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fFileSynchronizer

    public FileDocumentProvider.FileSynchronizer fFileSynchronizer

  The file synchronizer.

### fModificationStamp

    public long fModificationStamp

  The time stamp at which this provider changed the file.

Constructor Detail

### FileDocumentProvider.FileInfo

    public FileDocumentProvider.FileInfo(IDocument document,
                                         FileDocumentProvider.FileSynchronizer fileSynchronizer)

  Creates and returns a new file info.

Parameters:
  `document` - the document
  `fileSynchronizer` - the file synchronizer

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.